
Website Monitoring - Bug #2077

Input fails to start because REST endpoint in Splunkd failed to respond

09/29/2017 08:52 PM - Luke Murphey

Status: Closed Start date: 09/29/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.6   

Description

Related issues:

Copied to Website Input - Bug #2079: Input fails to start because REST endpoi... Closed 09/29/2017

Associated revisions

Revision 370 - 10/02/2017 03:45 AM - lukemurphey

Made REST call resilient to transient Splunkd connection issues

Reference #2077

History

#1 - 09/30/2017 11:12 PM - Luke Murphey

This happened right after upgrade.

Here was the error:

Unable to find the app configuration for the specified configuration

 

Followed by:

Execution failed

#2 - 10/01/2017 04:44 AM - Luke Murphey

This blew up when attempting to get the app configuration.

Solutions so this include:

Trying the REST endpoint repeatedly until it succeeds

Restarting the endpoint
#3 - 10/02/2017 03:40 AM - Luke Murphey

- Subject changed from Input fails to start to Input fails to start because REST endpoint in Splunkd failed to respond

- Status changed from New to Closed

#4 - 10/02/2017 03:40 AM - Luke Murphey

- % Done changed from 0 to 100

#5 - 10/02/2017 03:43 AM - Luke Murphey

- Project changed from Website Input to Website Monitoring

- Category deleted (Input: Web Spider)

- Target version changed from 4.5.1 to 261

#6 - 10/02/2017 03:44 AM - Luke Murphey

- Copied to Bug #2079: Input fails to start because REST endpoint in Splunkd failed to respond added

#7 - 10/04/2017 05:58 AM - Luke Murphey

- Target version changed from 261 to 2.6
